"use client"

import { signIn, signOut } from "next-auth/react"

export function SignInOutButton({ session }: { session: any }) {
  return session ? (
    <button onClick={() => signOut()} className="text-sm underline">
      Sign out
    </button>
  ) : (
    <button onClick={() => signIn("github")} className="text-sm underline">
      Sign in with GitHub
    </button>
  )
}
